Package com.xebialabs.xlrelease.domain.events

## Class FacetConfiguredFacetsCreatedEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction3<TaskReportingRecord,​java.util.List<TaskReportingRecord>,​java.lang.Object,​FacetConfiguredFacetsCreatedEvent>
  - - com.xebialabs.xlrelease.domain.events.FacetConfiguredFacetsCreatedEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function3<TaskReportingRecord,​java.util.List<TaskReportingRecord>,​java.lang.Object,​FacetConfiguredFacetsCreatedEvent>`

      public class FacetConfiguredFacetsCreatedEvent$
      extends scala.runtime.AbstractFunction3<TaskReportingRecord,​java.util.List<TaskReportingRecord>,​java.lang.Object,​FacetConfiguredFacetsCreatedEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static FacetConfiguredFacetsCreatedEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FacetConfiguredFacetsCreatedEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FacetConfiguredFacetsCreatedEvent` | `apply​(TaskReportingRecord originalFacet, java.util.List<TaskReportingRecord> configuredFacets, boolean hasConfiguration)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple3<TaskReportingRecord,​java.util.List<TaskReportingRecord>,​java.lang.Object>>` | `unapply​(FacetConfiguredFacetsCreatedEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction3

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Function3

      `apply`

- - ### Field Detail

    - #### MODULE$

          public static final FacetConfiguredFacetsCreatedEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### FacetConfiguredFacetsCreatedEvent$

          public FacetConfiguredFacetsCreatedEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function3<TaskReportingRecord,​java.util.List<TaskReportingRecord>,​java.lang.Object,​FacetConfiguredFacetsCreatedEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction3<TaskReportingRecord,​java.util.List<TaskReportingRecord>,​java.lang.Object,​FacetConfiguredFacetsCreatedEvent>`

    - #### apply

          public FacetConfiguredFacetsCreatedEvent apply​(TaskReportingRecord originalFacet,
                                                         java.util.List<TaskReportingRecord> configuredFacets,
                                                         boolean hasConfiguration)

    - #### unapply

          public scala.Option<scala.Tuple3<TaskReportingRecord,​java.util.List<TaskReportingRecord>,​java.lang.Object>> unapply​(FacetConfiguredFacetsCreatedEvent x$0)